pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 14.2.1 20250220 [revision 9ffecde121af883b60bbe60d00425036bc873048]" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   GNAT_Version_Address : constant System.Address := GNAT_Version'Address;
   pragma Export (C, GNAT_Version_Address, "__gnat_version_address");

   Ada_Main_Program_Name : constant String := "_ada_gnatcmd" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#4a3d7c00#;
   pragma Export (C, u00001, "gnatcmdB");
   u00002 : constant Version_32 := 16#accee5e7#;
   pragma Export (C, u00002, "gnatcmdS");
   u00003 : constant Version_32 := 16#30305195#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#eb789e79#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00005, "adaS");
   u00006 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00006, "ada__charactersS");
   u00007 : constant Version_32 := 16#9de61c25#;
   pragma Export (C, u00007, "ada__characters__handlingB");
   u00008 : constant Version_32 := 16#729cc5db#;
   pragma Export (C, u00008, "ada__characters__handlingS");
   u00009 : constant Version_32 := 16#cde9ea2d#;
   pragma Export (C, u00009, "ada__characters__latin_1S");
   u00010 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00010, "ada__stringsS");
   u00011 : constant Version_32 := 16#f97639e0#;
   pragma Export (C, u00011, "systemS");
   u00012 : constant Version_32 := 16#c71e6c8a#;
   pragma Export (C, u00012, "system__exception_tableB");
   u00013 : constant Version_32 := 16#745d4ff9#;
   pragma Export (C, u00013, "system__exception_tableS");
   u00014 : constant Version_32 := 16#fd5f5f4c#;
   pragma Export (C, u00014, "system__soft_linksB");
   u00015 : constant Version_32 := 16#a802761d#;
   pragma Export (C, u00015, "system__soft_linksS");
   u00016 : constant Version_32 := 16#524f7d04#;
   pragma Export (C, u00016, "system__secondary_stackB");
   u00017 : constant Version_32 := 16#57bd68ec#;
   pragma Export (C, u00017, "system__secondary_stackS");
   u00018 : constant Version_32 := 16#7703497c#;
   pragma Export (C, u00018, "ada__exceptionsB");
   u00019 : constant Version_32 := 16#89876bf3#;
   pragma Export (C, u00019, "ada__exceptionsS");
   u00020 : constant Version_32 := 16#0740df23#;
   pragma Export (C, u00020, "ada__exceptions__last_chance_handlerB");
   u00021 : constant Version_32 := 16#a028f72d#;
   pragma Export (C, u00021, "ada__exceptions__last_chance_handlerS");
   u00022 : constant Version_32 := 16#cbd386d2#;
   pragma Export (C, u00022, "system__exceptionsS");
   u00023 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00023, "system__exceptions__machineB");
   u00024 : constant Version_32 := 16#46355a4a#;
   pragma Export (C, u00024, "system__exceptions__machineS");
   u00025 : constant Version_32 := 16#7706238d#;
   pragma Export (C, u00025, "system__exceptions_debugB");
   u00026 : constant Version_32 := 16#c97861b3#;
   pragma Export (C, u00026, "system__exceptions_debugS");
   u00027 : constant Version_32 := 16#dbe97aa1#;
   pragma Export (C, u00027, "system__img_intS");
   u00028 : constant Version_32 := 16#f2c63a02#;
   pragma Export (C, u00028, "ada__numericsS");
   u00029 : constant Version_32 := 16#174f5472#;
   pragma Export (C, u00029, "ada__numerics__big_numbersS");
   u00030 : constant Version_32 := 16#035c46b9#;
   pragma Export (C, u00030, "system__unsigned_typesS");
   u00031 : constant Version_32 := 16#35a8ed08#;
   pragma Export (C, u00031, "system__storage_elementsS");
   u00032 : constant Version_32 := 16#5c7d9c20#;
   pragma Export (C, u00032, "system__tracebackB");
   u00033 : constant Version_32 := 16#7feccd5d#;
   pragma Export (C, u00033, "system__tracebackS");
   u00034 : constant Version_32 := 16#5f6b6486#;
   pragma Export (C, u00034, "system__traceback_entriesB");
   u00035 : constant Version_32 := 16#316a866c#;
   pragma Export (C, u00035, "system__traceback_entriesS");
   u00036 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00036, "system__traceback__symbolicB");
   u00037 : constant Version_32 := 16#140ceb78#;
   pragma Export (C, u00037, "system__traceback__symbolicS");
   u00038 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00038, "ada__exceptions__tracebackB");
   u00039 : constant Version_32 := 16#26ed0985#;
   pragma Export (C, u00039, "ada__exceptions__tracebackS");
   u00040 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00040, "system__address_imageB");
   u00041 : constant Version_32 := 16#589aa4da#;
   pragma Export (C, u00041, "system__address_imageS");
   u00042 : constant Version_32 := 16#fd158a37#;
   pragma Export (C, u00042, "system__wch_conB");
   u00043 : constant Version_32 := 16#20751a83#;
   pragma Export (C, u00043, "system__wch_conS");
   u00044 : constant Version_32 := 16#5c289972#;
   pragma Export (C, u00044, "system__wch_stwB");
   u00045 : constant Version_32 := 16#0d643682#;
   pragma Export (C, u00045, "system__wch_stwS");
   u00046 : constant Version_32 := 16#7cd63de5#;
   pragma Export (C, u00046, "system__wch_cnvB");
   u00047 : constant Version_32 := 16#26b5d0f3#;
   pragma Export (C, u00047, "system__wch_cnvS");
   u00048 : constant Version_32 := 16#9111f9c1#;
   pragma Export (C, u00048, "interfacesS");
   u00049 : constant Version_32 := 16#e538de43#;
   pragma Export (C, u00049, "system__wch_jisB");
   u00050 : constant Version_32 := 16#9302b2d9#;
   pragma Export (C, u00050, "system__wch_jisS");
   u00051 : constant Version_32 := 16#a43efea2#;
   pragma Export (C, u00051, "system__parametersB");
   u00052 : constant Version_32 := 16#cce1c5f1#;
   pragma Export (C, u00052, "system__parametersS");
   u00053 : constant Version_32 := 16#e259c480#;
   pragma Export (C, u00053, "system__assertionsB");
   u00054 : constant Version_32 := 16#df75467b#;
   pragma Export (C, u00054, "system__assertionsS");
   u00055 : constant Version_32 := 16#8b2c6428#;
   pragma Export (C, u00055, "ada__assertionsB");
   u00056 : constant Version_32 := 16#cc3ec2fd#;
   pragma Export (C, u00056, "ada__assertionsS");
   u00057 : constant Version_32 := 16#0286ce9f#;
   pragma Export (C, u00057, "system__soft_links__initializeB");
   u00058 : constant Version_32 := 16#2ed17187#;
   pragma Export (C, u00058, "system__soft_links__initializeS");
   u00059 : constant Version_32 := 16#8599b27b#;
   pragma Export (C, u00059, "system__stack_checkingB");
   u00060 : constant Version_32 := 16#3e292cf6#;
   pragma Export (C, u00060, "system__stack_checkingS");
   u00061 : constant Version_32 := 16#c5e1e773#;
   pragma Export (C, u00061, "ada__strings__mapsB");
   u00062 : constant Version_32 := 16#6feaa257#;
   pragma Export (C, u00062, "ada__strings__mapsS");
   u00063 : constant Version_32 := 16#b451a498#;
   pragma Export (C, u00063, "system__bit_opsB");
   u00064 : constant Version_32 := 16#348595dc#;
   pragma Export (C, u00064, "system__bit_opsS");
   u00065 : constant Version_32 := 16#b459efcb#;
   pragma Export (C, u00065, "ada__strings__maps__constantsS");
   u00066 : constant Version_32 := 16#13245dc2#;
   pragma Export (C, u00066, "ada__command_lineB");
   u00067 : constant Version_32 := 16#3cdef8c9#;
   pragma Export (C, u00067, "ada__command_lineS");
   u00068 : constant Version_32 := 16#a201b8c5#;
   pragma Export (C, u00068, "ada__strings__text_buffersB");
   u00069 : constant Version_32 := 16#a7cfd09b#;
   pragma Export (C, u00069, "ada__strings__text_buffersS");
   u00070 : constant Version_32 := 16#8b7604c4#;
   pragma Export (C, u00070, "ada__strings__utf_encodingB");
   u00071 : constant Version_32 := 16#c9e86997#;
   pragma Export (C, u00071, "ada__strings__utf_encodingS");
   u00072 : constant Version_32 := 16#bb780f45#;
   pragma Export (C, u00072, "ada__strings__utf_encoding__stringsB");
   u00073 : constant Version_32 := 16#b85ff4b6#;
   pragma Export (C, u00073, "ada__strings__utf_encoding__stringsS");
   u00074 : constant Version_32 := 16#d1d1ed0b#;
   pragma Export (C, u00074, "ada__strings__utf_encoding__wide_stringsB");
   u00075 : constant Version_32 := 16#5678478f#;
   pragma Export (C, u00075, "ada__strings__utf_encoding__wide_stringsS");
   u00076 : constant Version_32 := 16#c2b98963#;
   pragma Export (C, u00076, "ada__strings__utf_encoding__wide_wide_stringsB");
   u00077 : constant Version_32 := 16#d7af3358#;
   pragma Export (C, u00077, "ada__strings__utf_encoding__wide_wide_stringsS");
   u00078 : constant Version_32 := 16#0d5e09a4#;
   pragma Export (C, u00078, "ada__tagsB");
   u00079 : constant Version_32 := 16#2a9756e0#;
   pragma Export (C, u00079, "ada__tagsS");
   u00080 : constant Version_32 := 16#3548d972#;
   pragma Export (C, u00080, "system__htableB");
   u00081 : constant Version_32 := 16#78af610b#;
   pragma Export (C, u00081, "system__htableS");
   u00082 : constant Version_32 := 16#1f1abe38#;
   pragma Export (C, u00082, "system__string_hashB");
   u00083 : constant Version_32 := 16#dfeae174#;
   pragma Export (C, u00083, "system__string_hashS");
   u00084 : constant Version_32 := 16#6ed0b8ef#;
   pragma Export (C, u00084, "system__val_lluS");
   u00085 : constant Version_32 := 16#aa87fa7d#;
   pragma Export (C, u00085, "system__sparkS");
   u00086 : constant Version_32 := 16#a571a4dc#;
   pragma Export (C, u00086, "system__spark__cut_operationsB");
   u00087 : constant Version_32 := 16#629c0fb7#;
   pragma Export (C, u00087, "system__spark__cut_operationsS");
   u00088 : constant Version_32 := 16#1bac5121#;
   pragma Export (C, u00088, "system__val_utilB");
   u00089 : constant Version_32 := 16#550f9dfb#;
   pragma Export (C, u00089, "system__val_utilS");
   u00090 : constant Version_32 := 16#b98923bf#;
   pragma Export (C, u00090, "system__case_utilB");
   u00091 : constant Version_32 := 16#3665eeb5#;
   pragma Export (C, u00091, "system__case_utilS");
   u00092 : constant Version_32 := 16#2170d2a2#;
   pragma Export (C, u00092, "ada__text_ioB");
   u00093 : constant Version_32 := 16#ef29a2fe#;
   pragma Export (C, u00093, "ada__text_ioS");
   u00094 : constant Version_32 := 16#b4f41810#;
   pragma Export (C, u00094, "ada__streamsB");
   u00095 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00095, "ada__streamsS");
   u00096 : constant Version_32 := 16#367911c4#;
   pragma Export (C, u00096, "ada__io_exceptionsS");
   u00097 : constant Version_32 := 16#05222263#;
   pragma Export (C, u00097, "system__put_imagesB");
   u00098 : constant Version_32 := 16#e5d83eff#;
   pragma Export (C, u00098, "system__put_imagesS");
   u00099 : constant Version_32 := 16#22b9eb9f#;
   pragma Export (C, u00099, "ada__strings__text_buffers__utilsB");
   u00100 : constant Version_32 := 16#89062ac3#;
   pragma Export (C, u00100, "ada__strings__text_buffers__utilsS");
   u00101 : constant Version_32 := 16#1cacf006#;
   pragma Export (C, u00101, "interfaces__c_streamsB");
   u00102 : constant Version_32 := 16#d07279c2#;
   pragma Export (C, u00102, "interfaces__c_streamsS");
   u00103 : constant Version_32 := 16#72525e6f#;
   pragma Export (C, u00103, "system__crtlS");
   u00104 : constant Version_32 := 16#f74fab1c#;
   pragma Export (C, u00104, "system__file_ioB");
   u00105 : constant Version_32 := 16#9f396ca6#;
   pragma Export (C, u00105, "system__file_ioS");
   u00106 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00106, "ada__finalizationS");
   u00107 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00107, "system__finalization_rootB");
   u00108 : constant Version_32 := 16#b6844a70#;
   pragma Export (C, u00108, "system__finalization_rootS");
   u00109 : constant Version_32 := 16#29c68ba2#;
   pragma Export (C, u00109, "system__os_libB");
   u00110 : constant Version_32 := 16#031ae9bf#;
   pragma Export (C, u00110, "system__os_libS");
   u00111 : constant Version_32 := 16#94d23d25#;
   pragma Export (C, u00111, "system__atomic_operations__test_and_setB");
   u00112 : constant Version_32 := 16#57acee8e#;
   pragma Export (C, u00112, "system__atomic_operations__test_and_setS");
   u00113 : constant Version_32 := 16#3e1543c5#;
   pragma Export (C, u00113, "system__atomic_operationsS");
   u00114 : constant Version_32 := 16#553a519e#;
   pragma Export (C, u00114, "system__atomic_primitivesB");
   u00115 : constant Version_32 := 16#b22932a7#;
   pragma Export (C, u00115, "system__atomic_primitivesS");
   u00116 : constant Version_32 := 16#0390ef72#;
   pragma Export (C, u00116, "interfaces__cB");
   u00117 : constant Version_32 := 16#f7332afe#;
   pragma Export (C, u00117, "interfaces__cS");
   u00118 : constant Version_32 := 16#256dbbe5#;
   pragma Export (C, u00118, "system__stringsB");
   u00119 : constant Version_32 := 16#62f439f8#;
   pragma Export (C, u00119, "system__stringsS");
   u00120 : constant Version_32 := 16#75df5784#;
   pragma Export (C, u00120, "system__file_control_blockS");
   u00121 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00121, "gnatS");
   u00122 : constant Version_32 := 16#1a69b526#;
   pragma Export (C, u00122, "gnat__os_libS");
   u00123 : constant Version_32 := 16#8543fa0e#;
   pragma Export (C, u00123, "gnatvsnB");
   u00124 : constant Version_32 := 16#dc334c14#;
   pragma Export (C, u00124, "gnatvsnS");
   u00125 : constant Version_32 := 16#1a8ff72f#;
   pragma Export (C, u00125, "nametB");
   u00126 : constant Version_32 := 16#bc7da6aa#;
   pragma Export (C, u00126, "nametS");
   u00127 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00127, "debugB");
   u00128 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00128, "debugS");
   u00129 : constant Version_32 := 16#660dd801#;
   pragma Export (C, u00129, "optB");
   u00130 : constant Version_32 := 16#9c9fbe2c#;
   pragma Export (C, u00130, "optS");
   u00131 : constant Version_32 := 16#b5366062#;
   pragma Export (C, u00131, "csetsB");
   u00132 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00132, "csetsS");
   u00133 : constant Version_32 := 16#3b0dbbfa#;
   pragma Export (C, u00133, "hostparmS");
   u00134 : constant Version_32 := 16#ca878138#;
   pragma Export (C, u00134, "system__concat_2B");
   u00135 : constant Version_32 := 16#4c8d4a17#;
   pragma Export (C, u00135, "system__concat_2S");
   u00136 : constant Version_32 := 16#d4e0603b#;
   pragma Export (C, u00136, "typesB");
   u00137 : constant Version_32 := 16#676f845e#;
   pragma Export (C, u00137, "typesS");
   u00138 : constant Version_32 := 16#ec48c658#;
   pragma Export (C, u00138, "system__compare_array_unsigned_8B");
   u00139 : constant Version_32 := 16#6990a783#;
   pragma Export (C, u00139, "system__compare_array_unsigned_8S");
   u00140 : constant Version_32 := 16#74e358eb#;
   pragma Export (C, u00140, "system__address_operationsB");
   u00141 : constant Version_32 := 16#87421540#;
   pragma Export (C, u00141, "system__address_operationsS");
   u00142 : constant Version_32 := 16#a61ae265#;
   pragma Export (C, u00142, "outputB");
   u00143 : constant Version_32 := 16#dfee97b2#;
   pragma Export (C, u00143, "outputS");
   u00144 : constant Version_32 := 16#5be1895f#;
   pragma Export (C, u00144, "widecharB");
   u00145 : constant Version_32 := 16#fc939d63#;
   pragma Export (C, u00145, "widecharS");
   u00146 : constant Version_32 := 16#1b78961f#;
   pragma Export (C, u00146, "allocS");
   u00147 : constant Version_32 := 16#d51ad27f#;
   pragma Export (C, u00147, "tableB");
   u00148 : constant Version_32 := 16#f93c8813#;
   pragma Export (C, u00148, "tableS");
   u00149 : constant Version_32 := 16#8f2423cb#;
   pragma Export (C, u00149, "system__memoryB");
   u00150 : constant Version_32 := 16#e1e2a5fa#;
   pragma Export (C, u00150, "system__memoryS");
   u00151 : constant Version_32 := 16#f2ec6d60#;
   pragma Export (C, u00151, "osintB");
   u00152 : constant Version_32 := 16#92046caf#;
   pragma Export (C, u00152, "osintS");
   u00153 : constant Version_32 := 16#c82691db#;
   pragma Export (C, u00153, "fmapB");
   u00154 : constant Version_32 := 16#19fb29a0#;
   pragma Export (C, u00154, "fmapS");
   u00155 : constant Version_32 := 16#9f9cc922#;
   pragma Export (C, u00155, "gnat__htableB");
   u00156 : constant Version_32 := 16#4a45b320#;
   pragma Export (C, u00156, "gnat__htableS");
   u00157 : constant Version_32 := 16#2bba980b#;
   pragma Export (C, u00157, "sdefaultB");
   u00158 : constant Version_32 := 16#2b49f98f#;
   pragma Export (C, u00158, "sdefaultS");
   u00159 : constant Version_32 := 16#c781d600#;
   pragma Export (C, u00159, "targparmB");
   u00160 : constant Version_32 := 16#c8d35e80#;
   pragma Export (C, u00160, "targparmS");
   u00161 : constant Version_32 := 16#29e0a804#;
   pragma Export (C, u00161, "ridentS");
   u00162 : constant Version_32 := 16#52ebc05d#;
   pragma Export (C, u00162, "switchB");
   u00163 : constant Version_32 := 16#3579e846#;
   pragma Export (C, u00163, "switchS");
   u00164 : constant Version_32 := 16#ad699d94#;
   pragma Export (C, u00164, "system__val_enum_8S");
   u00165 : constant Version_32 := 16#afe8173e#;
   pragma Export (C, u00165, "usageB");
   u00166 : constant Version_32 := 16#44182068#;
   pragma Export (C, u00166, "usageS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_operations%s
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.spark%s
   --  system.spark.cut_operations%s
   --  system.spark.cut_operations%b
   --  system.storage_elements%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.assertions%s
   --  ada.assertions%b
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.img_int%s
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.strings%s
   --  ada.strings.utf_encoding.strings%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  gnat%s
   --  gnat.htable%s
   --  gnat.htable%b
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.atomic_operations.test_and_set%s
   --  system.atomic_operations.test_and_set%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_enum_8%s
   --  system.val_llu%s
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  system.file_io%s
   --  system.file_io%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  ada.characters.handling%s
   --  ada.characters.handling%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  opt%s
   --  csets%s
   --  csets%b
   --  opt%b
   --  output%s
   --  output%b
   --  rident%s
   --  table%s
   --  table%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  switch%s
   --  switch%b
   --  usage%s
   --  usage%b
   --  gnatcmd%s
   --  gnatcmd%b
   --  END ELABORATION ORDER

end ada_main;
