pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b~gnatcmd.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b~gnatcmd.adb");
pragma Suppress (Overflow_Check);
with Ada.Exceptions;

package body ada_main is

   E019 : Short_Integer; pragma Import (Ada, E019, "ada__exceptions_E");
   E015 : Short_Integer; pragma Import (Ada, E015, "system__soft_links_E");
   E013 : Short_Integer; pragma Import (Ada, E013, "system__exception_table_E");
   E056 : Short_Integer; pragma Import (Ada, E056, "ada__assertions_E");
   E028 : Short_Integer; pragma Import (Ada, E028, "ada__numerics_E");
   E022 : Short_Integer; pragma Import (Ada, E022, "system__exceptions_E");
   E058 : Short_Integer; pragma Import (Ada, E058, "system__soft_links__initialize_E");
   E096 : Short_Integer; pragma Import (Ada, E096, "ada__io_exceptions_E");
   E010 : Short_Integer; pragma Import (Ada, E010, "ada__strings_E");
   E071 : Short_Integer; pragma Import (Ada, E071, "ada__strings__utf_encoding_E");
   E121 : Short_Integer; pragma Import (Ada, E121, "gnat_E");
   E117 : Short_Integer; pragma Import (Ada, E117, "interfaces__c_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "system__os_lib_E");
   E079 : Short_Integer; pragma Import (Ada, E079, "ada__tags_E");
   E069 : Short_Integer; pragma Import (Ada, E069, "ada__strings__text_buffers_E");
   E095 : Short_Integer; pragma Import (Ada, E095, "ada__streams_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "system__file_control_block_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "system__finalization_root_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "ada__finalization_E");
   E105 : Short_Integer; pragma Import (Ada, E105, "system__file_io_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "ada__text_io_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__strings__maps_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "ada__strings__maps__constants_E");
   E137 : Short_Integer; pragma Import (Ada, E137, "types_E");
   E124 : Short_Integer; pragma Import (Ada, E124, "gnatvsn_E");
   E133 : Short_Integer; pragma Import (Ada, E133, "hostparm_E");
   E130 : Short_Integer; pragma Import (Ada, E130, "opt_E");
   E143 : Short_Integer; pragma Import (Ada, E143, "output_E");
   E145 : Short_Integer; pragma Import (Ada, E145, "widechar_E");
   E126 : Short_Integer; pragma Import (Ada, E126, "namet_E");
   E154 : Short_Integer; pragma Import (Ada, E154, "fmap_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "osint_E");
   E158 : Short_Integer; pragma Import (Ada, E158, "sdefault_E");
   E160 : Short_Integer; pragma Import (Ada, E160, "targparm_E");
   E163 : Short_Integer; pragma Import (Ada, E163, "switch_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "usage_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcmd_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      E093 := E093 - 1;
      declare
         procedure F1;
         pragma Import (Ada, F1, "ada__text_io__finalize_spec");
      begin
         F1;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "system__file_io__finalize_body");
      begin
         E105 := E105 - 1;
         F2;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (Ada, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      ada_main'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      Ada.Exceptions'Elab_Spec;
      System.Soft_Links'Elab_Spec;
      System.Exception_Table'Elab_Body;
      E013 := E013 + 1;
      Ada.Assertions'Elab_Spec;
      E056 := E056 + 1;
      Ada.Numerics'Elab_Spec;
      E028 := E028 + 1;
      System.Exceptions'Elab_Spec;
      E022 := E022 + 1;
      System.Soft_Links.Initialize'Elab_Body;
      E058 := E058 + 1;
      E015 := E015 + 1;
      E019 := E019 + 1;
      Ada.Io_Exceptions'Elab_Spec;
      E096 := E096 + 1;
      Ada.Strings'Elab_Spec;
      E010 := E010 + 1;
      Ada.Strings.Utf_Encoding'Elab_Spec;
      E071 := E071 + 1;
      Gnat'Elab_Spec;
      E121 := E121 + 1;
      Interfaces.C'Elab_Spec;
      E117 := E117 + 1;
      System.Os_Lib'Elab_Body;
      E110 := E110 + 1;
      Ada.Tags'Elab_Spec;
      Ada.Tags'Elab_Body;
      E079 := E079 + 1;
      Ada.Strings.Text_Buffers'Elab_Spec;
      E069 := E069 + 1;
      Ada.Streams'Elab_Spec;
      E095 := E095 + 1;
      System.File_Control_Block'Elab_Spec;
      E120 := E120 + 1;
      System.Finalization_Root'Elab_Spec;
      E108 := E108 + 1;
      Ada.Finalization'Elab_Spec;
      E106 := E106 + 1;
      System.File_Io'Elab_Body;
      E105 := E105 + 1;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E093 := E093 + 1;
      Ada.Strings.Maps'Elab_Spec;
      E062 := E062 + 1;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E065 := E065 + 1;
      Types'Elab_Spec;
      E137 := E137 + 1;
      E124 := E124 + 1;
      Hostparm'Elab_Spec;
      E133 := E133 + 1;
      Opt'Elab_Spec;
      E130 := E130 + 1;
      Output'Elab_Body;
      E143 := E143 + 1;
      E145 := E145 + 1;
      Namet'Elab_Spec;
      Namet'Elab_Body;
      E126 := E126 + 1;
      Osint'Elab_Spec;
      Fmap'Elab_Body;
      E154 := E154 + 1;
      E158 := E158 + 1;
      E160 := E160 + 1;
      Osint'Elab_Body;
      E152 := E152 + 1;
      E163 := E163 + 1;
      E166 := E166 + 1;
      E002 := E002 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_gnatcmd");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      if gnat_argc = 0 then
         gnat_argc := argc;
         gnat_argv := argv;
      end if;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   ./interfac.o
   --   ./system.o
   --   ./s-stoele.o
   --   ./s-htable.o
   --   ./s-exctab.o
   --   ./s-secsta.o
   --   ./s-stalib.o
   --   ./a-except.o
   --   ./i-c.o
   --   ./s-casuti.o
   --   ./debug.o
   --   ./types.o
   --   ./alloc.o
   --   ./gnatvsn.o
   --   ./hostparm.o
   --   ./csets.o
   --   ./opt.o
   --   ./output.o
   --   ./rident.o
   --   ./table.o
   --   ./widechar.o
   --   ./namet.o
   --   ./fmap.o
   --   ./sdefault.o
   --   ./targparm.o
   --   ./osint.o
   --   ./switch.o
   --   ./usage.o
   --   ./gnatcmd.o
   --   -L./
   --   -L../rts/
   --   -L./
   --   -L/home/abuild/rpmbuild/BUILD/gcc14-14.2.1+git11321-build/gcc-14.2.1+git11321/gcc/ada/
   --   -L/usr/lib64/gcc/s390x-suse-linux/14/adalib/
   --   -static
   --   -lgnat
--  END Object file/option list   

end ada_main;
